GIT-FEATURE(1)

NAME
git-feature - Create/Merge feature branch

SYNOPSIS
git-feature [-a|--alias branch_prefix] [-r|--remote [remote_name]] <name>
git-feature [-a|--alias branch_prefix] finish [--squash] <name>

DESCRIPTION
Create/Merge the given feature branch

OPTIONS
<-a|--alias branch_prefix>

use branch_prefix instead of feature

<-r|--remote [remote_name]>

Setup a remote tracking branch using remote_name. If remote_name is not supplied, use origin by default.

<--from [start_point]>

Setup a start point when the branch created. If --from is not supplied, use the current branch by default.

<finish>

Merge and delete the feature branch.

<--squash>

Run a squash merge.

<name>

The name of the feature branch.

EXAMPLES

Start a new feature:

    $ git feature dependencies
    ...
    $ (feature/dependencies) git commit -m "Some changes"

Finish a feature with --no-ff merge:

    $ (feature/dependencies) git checkout master
    $ git feature finish dependencies

Finish a feature with --squash merge:

    $ (feature/dependencies) git checkout master
    $ git feature finish --squash dependencies

Publish a feature upstream:

    $ git feature dependencies -r upstream

Use custom branch prefix:

    $ git alias features "feature -a features"
    $ git features dependencies
    $ (features/dependencies) ...
    $ (features/dependencies) git checkout master
    $ git features finish dependencies

AUTHOR
Written by Jesús Espino <jespinog@gmail.com>
Modified by Mark Pitman <mark.pitman@gmail.com>
Modified by Carlos Prado <carlos.prado@cpradog.com>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>